OfonoPhonebook Class Reference

This class is used to access oFono phonebook API. More...

`#include <ofonophonebook.h>`

Inheritance diagram for OfonoPhonebook:

## Public Slots

void | import ()

## Signals

void | importComplete (bool success, const QString &entries)
Signals inherited from OfonoModemInterface
void | validityChanged (bool validity)
| Interface validity has changed.

## Public Member Functions

| OfonoPhonebook (OfonoModem::SelectionSetting modemSetting, const QString &modemPath, QObject *parent)
Public Member Functions inherited from OfonoModemInterface
| OfonoModemInterface (OfonoModem::SelectionSetting modemSetting, const QString &modemPath, const QString &ifname, OfonoGetPropertySetting propertySetting, QObject *parent=0)
| Construct a modem interface object.
bool | isValid () const
| Check that the modem interface object is valid.
OfonoModem * | modem () const
| Get the modem object that this interface belongs to.
QString | path () const
| Returns the D-Bus object path of the interface.
QString | errorName () const
| Get the D-Bus error name of the last operation.
QString | errorMessage () const
| Get the D-Bus error message of the last operation.

## Additional Inherited Members

Protected Attributes inherited from OfonoModemInterface
OfonoInterface * | m_if
Properties inherited from OfonoModemInterface
bool | isValid
QString | path
QString | errorName
QString | errorMessage

## Detailed Description

This class is used to access oFono phonebook API.

oFono phonebook API is documented in http://git.kernel.org/?p=network/ofono/ofono.git;a=blob_plain;f=doc/phonebook-api.txt

The documentation for this class was generated from the following file:

- lib/ofonophonebook.h